Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.auth
Class AuthorityModuleConfiguration

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.auth.AuthorityModuleConfiguration

    public class AuthorityModuleConfiguration

extends java.lang.Object

Version:
  $Id: AuthorityModuleConfiguration.java 9458 2007-08-10 14:30:48Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`AuthorityModuleConfiguration()`

Method Summary
`ProfileAttributeService` | `getAttributeService()`
`UserAuthorityService` | `getAuthorityService()`
`java.lang.String` | `getRoleIndexElementName()`
`java.lang.String` | `getRolesDirName()`
`ObjectSerializer` | `getSerializer()`
`java.lang.String` | `getUserIndexElementName()`
`java.lang.String` | `getUsersDirName()`
`void` | `setAttributeService(ProfileAttributeService attributeService)`
`void` | `setAuthorityService(UserAuthorityService authorityService)`
`void` | `setRoleIndexElementName(java.lang.String roleIndexElementName)`
`void` | `setRolesDirName(java.lang.String rolesDirName)`
`void` | `setSerializer(ObjectSerializer serializer)`
`void` | `setUserIndexElementName(java.lang.String userIndexElementName)`
`void` | `setUsersDirName(java.lang.String usersDirName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorityModuleConfiguration

    public AuthorityModuleConfiguration()

Method Detail

### getAuthorityService

    public UserAuthorityService getAuthorityService()

### setAuthorityService

    public void setAuthorityService(UserAuthorityService authorityService)

### getRolesDirName

    public java.lang.String getRolesDirName()

### setRolesDirName

    public void setRolesDirName(java.lang.String rolesDirName)

### getSerializer

    public ObjectSerializer getSerializer()

### setSerializer

    public void setSerializer(ObjectSerializer serializer)

### getUsersDirName

    public java.lang.String getUsersDirName()

### setUsersDirName

    public void setUsersDirName(java.lang.String usersDirName)

### getRoleIndexElementName

    public java.lang.String getRoleIndexElementName()

### setRoleIndexElementName

    public void setRoleIndexElementName(java.lang.String roleIndexElementName)

### getUserIndexElementName

    public java.lang.String getUserIndexElementName()

### setUserIndexElementName

    public void setUserIndexElementName(java.lang.String userIndexElementName)

### getAttributeService

    public ProfileAttributeService getAttributeService()

### setAttributeService

    public void setAttributeService(ProfileAttributeService attributeService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.